Bug 245070 - ftp/curl: cannot build with GNUTLS/NSS/WOLFSSL option set
Summary: ftp/curl: cannot build with GNUTLS/NSS/WOLFSSL option set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-26 11:41 UTC by iron.udjin
Modified: 2020-04-01 18:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iron.udjin 2020-03-26 11:41:03 UTC
Hello,

I'm trying to build curl with GNUTLS support. Here is my options:

# This file is auto-generated by 'make config'.
# Options for curl-7.68.0
_OPTIONS_READ=curl-7.68.0
_FILE_COMPLETE_OPTIONS_LIST=ALTSVC BROTLI CA_BUNDLE COOKIES CURL_DEBUG DEBUG DOCS EXAMPLES IDN IPV6 METALINK NTLM PROXY PSL TLS_SRP GSSAPI_BASE GSSAPI_HEIMDAL GSSAPI_MIT GSSAPI_NONE CARES THREADED_RESOLVER GNUTLS NSS OPENSSL WOLFSSL DICT FTP GOPHER HTTP HTTP2 IMAP LDAP LDAPS LIBSSH2 POP3 RTMP RTSP SMB SMTP TELNET TFTP
OPTIONS_FILE_SET+=ALTSVC
OPTIONS_FILE_SET+=BROTLI
OPTIONS_FILE_SET+=CA_BUNDLE
OPTIONS_FILE_SET+=COOKIES
OPTIONS_FILE_UNSET+=CURL_DEBUG
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_UNSET+=DOCS
OPTIONS_FILE_UNSET+=EXAMPLES
OPTIONS_FILE_SET+=IDN
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_UNSET+=METALINK
OPTIONS_FILE_UNSET+=NTLM
OPTIONS_FILE_SET+=PROXY
OPTIONS_FILE_UNSET+=PSL
OPTIONS_FILE_UNSET+=TLS_SRP
OPTIONS_FILE_UNSET+=GSSAPI_BASE
OPTIONS_FILE_UNSET+=GSSAPI_HEIMDAL
OPTIONS_FILE_UNSET+=GSSAPI_MIT
OPTIONS_FILE_SET+=GSSAPI_NONE
OPTIONS_FILE_UNSET+=CARES
OPTIONS_FILE_SET+=THREADED_RESOLVER
OPTIONS_FILE_SET+=GNUTLS
OPTIONS_FILE_UNSET+=NSS
OPTIONS_FILE_UNSET+=OPENSSL
OPTIONS_FILE_UNSET+=WOLFSSL
OPTIONS_FILE_SET+=DICT
OPTIONS_FILE_UNSET+=FTP
OPTIONS_FILE_SET+=GOPHER
OPTIONS_FILE_SET+=HTTP
OPTIONS_FILE_SET+=HTTP2
OPTIONS_FILE_UNSET+=IMAP
OPTIONS_FILE_UNSET+=LDAP
OPTIONS_FILE_UNSET+=LDAPS
OPTIONS_FILE_SET+=LIBSSH2
OPTIONS_FILE_UNSET+=POP3
OPTIONS_FILE_UNSET+=RTMP
OPTIONS_FILE_UNSET+=RTSP
OPTIONS_FILE_UNSET+=SMB
OPTIONS_FILE_SET+=SMTP
OPTIONS_FILE_SET+=TELNET
OPTIONS_FILE_SET+=TFTP


# make build
===>  License MIT accepted by the user
====> You cannot select multiple options from the SSL radio
=====> Only one of these must be defined: GNUTLS OPENSSL
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/ftp/curl
*** Error code 1

Stop.
make: stopped in /usr/ports/ftp/curl


The same error when I select NSS/WOLFSSL. With OPENSSL support it builds fine.

OS: 12.1-STABLE r359193
curl: 7.68.0
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-03-28 17:01:54 UTC
That means other option enables OPENSSL, which is LIBSSH2 in your case.

from Makefile:
LIBSSH2_IMPLIES=OPENSSL

You need to disable it.
Comment 2 iron.udjin 2020-03-28 22:15:33 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #1)

Ok. I think it's good idea to add to description of LIBSSH2 option: (Require OPENSSL).
Please close this issue if port doesn't need any changes in your opinion.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-01 18:07:22 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2020-04-01 18:07:52 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Apr  1 18:07:18 UTC 2020
New revision: 530231
URL: https://svnweb.freebsd.org/changeset/ports/530231

Log:
  Update LIBSSH2 option description

  PR:		245070
  Reported by:	<iron.udjin@gmail.com>

Changes:
  head/ftp/curl/Makefile